%ClassName=mGetClassNameFromNumber(1)
%Gets three lettered name (such as cWW) of each of the first 13 classes
%(bif being the 13th class).

function ClassName = mGetClassNameFromNumber(ClassNumber)

if abs(ClassNumber) < 14
    switch floor(abs(ClassNumber))
        case 1, ClassName='cWW';
        case 2, ClassName='tWW';
        case 3, ClassName='cWH';
        case 4, ClassName='tWH';
        case 5, ClassName='cWS';
        case 6, ClassName='tWS';
        case 7, ClassName='cHH';
        case 8, ClassName='tHH';
        case 9, ClassName='cHS';
        case 10,ClassName='tHS';
        case 11,ClassName='cSS';
        case 12,ClassName='tSS';
        case 13,ClassName='bif';
    end
else ClassName = '-'; %This should never appear, since these families should never be printed (only <14 are printed out)
    fprintf('%s\n','There are no official names for classes beyond 13 ...')
end